<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_itemselection.tpl] -->
<html>
<head>
<title>QPR Portal - <#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
<script type="text/javascript" src="<#SizeConstantsJS>"></script>

<#PortalScript>
<#stylesheet>

<script type="text/javascript">
ResizePopupWindow();

function OpenDetailView(vsURL, vsName, viWidth, viHeight)
{
  if (bHasValidOpener(window) && (window.opener.OpenInformationView))
    window.opener.OpenInformationView(vsURL);
  window.close();
}
function ApplyViewSettings(vsURL)
{
  var oHView=window.opener.oGetHeaderView();
  if (oHView)
  {
    oHView.SetNamedVariableValue('LASTSELPERID', '', false);
    oHView.SetNamedVariableValue('LASTSELPERDATE', '', false);
    oHView.SetNamedVariableValue('LASTSELPATID', '', false);
  }
  if (bHasValidOpener(window) && (window.opener.OpenInformationView)) {
    window.opener.OpenInformationView(vsURL);
  }
  window.close();  
}

function SubmitSeries(vsLabel, viID)
{
  if (parent && bHasValidOpener(parent.window) && bExists(parent.window.opener.OnSeriesSelectionClosed))
    parent.window.opener.OnSeriesSelectionClosed(vsLabel, viID);
  else if (bHasValidOpener(window))
  {
    var oView = window.opener.parent.InformationView;
    if (oView && oView.bHasDetailsPane())
      oView = oView.oGetView();
    if (oView) 
    {
      if (bExists(oView.submitSeries))
        oView.submitSeries(viID);
      else
        oView._USER_SC.submitSeries(viID);
    }
  }
  window.close();
}


function onLoad()
{ 
  var sViewType, bHelpVisible;

  sViewType = sGetParameter("itemlistdata", sGetDocumentLocation());
  if ((sViewType == "-6") || (sViewType == "-7"))
    bHelpVisible = true;
  if (!bHelpVisible) 
    document.getElementById('btnHelp').style.display = "none";
	// Google Analytics
	oGetMainView().sendGoogleAnalyticsEvent('Button', 'Series selection', '');
}

function OpenHelpView()
{
   OpenHelpWindow('<#HelpFileURL>?scsm_viewselectiondialog.htm');
}
</script>

</head>

<body class="PopupView" onload="onLoad()">
  <form name="formItemSelection" action="#" method="post">
    <div id="PopupHeader">
      <img src="<#PortalImageFileLocation>header_icon_select.png" alt="Select" />
      <h1>
        <#Title>
      </h1>
    </div>
    <div class="PopupContent">
      <div class="PropertyFormGroupWrapper">
        <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
          <tr>
            <td valign="top">
              <table border="0" style="width: 100%" cellpadding="2" cellspacing="1">
          <#ItemList template="sc_itemselection_item.tpl">
              </table>
            </td>
          </tr>
        </table>
      </div>
    </div>
    <div id="DetailsFooter">
      <input class="ButtonRight" type="button" id="btnHelp" value="<#LocalizedText id="Help">" onclick="OpenHelpView()" />
      <input class="ButtonRight" type="button" value="<#LocalizedText id="Cancel">" onclick="window.close()" />
    </div>
  </form>
</body>
</html>
<!-- [QPRTemplateEnd: sc_itemselection.tpl] -->
