<!DOCTYPE html>
<!-- [QPRTemplateStart: associationdetailsview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jsutils.tpl">
<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsdetailspaneutils.tpl">
<#Include template="jswsfutils.tpl">

<script type="text/javascript">
  var _iAssociationTypeId = <#AssociationData id="type">;
  var _oActionType;
  var _oAttributeStyles = <#Object attribute="AttributeStyles" format="json">;
</script>

<#Include template="jsactiontypes.tpl">

<script type="text/javascript">
  if(self.opener)
  {
    ResizePopupWindow(800,435);
  }

  function sGetHeaderViewLeftHTML()
  {
    var sHTML = $("#captionLeft").html();
    return sHTML;
  }

  var _sLocalToolbarHtml = "", _sDetailsPaneToolbarHtml = "";

  function sGetDetailsPaneToolbarHtml()
  {
    return _sDetailsPaneToolbarHtml;
  }

  function sGetLocalToolbarHTML()
  {
    return _sLocalToolbarHtml;
  }

  function sGetCommonToolbarHTML()
  {
    return sGetDefaultToolbarButtons();
  }

  function bHideDetailsPaneHeaderProperties()
  {
    return true;
  }
  
  function OnReplyClick()
  {
    OpenWindow("<#VTNViewURL VTN="associationeditor" CRP="p">&" +
               ACT_PARAM_ASSOCIATION_PARENT_ID + "=" + <#AssociationData id="id"> + "&" +
               ACT_PARAM_ASSOCIATION_TYPE + "=" + <#AssociationData id="type"> + "&" +
               ACT_PARAM_REPLY_TYPE + "=1",
               ASSOCIATION_EDITOR_VIEW_NAME, ASSOCIATION_EDITOR_VIEW_WIDTH, ASSOCIATION_EDITOR_VIEW_HEIGHT, true, true);
  }

  function OnEditClick()
  {
    OpenWindow("<#VTNViewURL VTN="associationeditor" CRP="p">&" +
	       ACT_PARAM_ASSOCIATION_ID + "=" + <#AssociationData id="id"> + "&" +
	       ACT_PARAM_ASSOCIATION_TYPE + "=" + <#AssociationData id="type">,	
               ASSOCIATION_EDITOR_VIEW_NAME, ASSOCIATION_EDITOR_VIEW_WIDTH, ASSOCIATION_EDITOR_VIEW_HEIGHT, true, true);
  }

  function OnDeleteClick()
  {
	var sMessage = "<#LocalizedTextMessage id="Are you sure you want to delete the selected action?">"
	if ((_iAssociationTypeId == 18) || (_iAssociationTypeId == 19))
		sMessage = "<#LocalizedTextMessage id="Are you sure you want to delete the selected report?">"
  
    if (<#IsAdmin>)
    {
      if (<#HasChildren>)
      {
        OpenWindow("<#AskDeleteTreeURL>", "_blank", 640, 120, false);	
      }
      else
      {
      	if (confirm(sDecodeURI(sMessage)))
           DeleteItem("0");
      }
    }
    else	
    {
      if (confirm(sDecodeURI(sMessage)))
        DeleteItem("0");
    }
  }

  function OnTriggerWorkflowClick()
  {
    WorkflowUtils.oInstance().TriggerWorkflowTicket("<#AssociationData id="fullid">", "<#AssociationData id="workflow.name" ignoreinvalidattributes="1">");
  }

  function OnTriggerStandaloneWorkflowClick()
  {
    WorkflowUtils.oInstance().TriggerWorkflowTicket("<#AssociationData id="StandaloneTicket.fullid" ignoreinvalidattributes="1">", "<#AssociationData id="name">");
  }
    
  function OnCreateStandaloneTicketClick()
  {
    WorkflowUtils.oInstance().CreateWorkflowTicket("", "<#AssociationData id="fullid">", "<#AssociationData id="name">");
  }
  
  function bIsSoftDeleteUsed()
  {
    var oFrameset = oGetDetailsPaneFrameset();
    if (oFrameset) {
      var oView = oFrameset.oGetView();
      return (oView && oView.bUseSoftDelete && oView.bUseSoftDelete());
    }
    else
      return sGetParameter("SOFT", sGetDocumentLocation()) == "1";
  }

  function sGetDetailsPaneDefaultUrl()
  {
    var sResult = sGetDocumentLocation();
    if (bIsSoftDeleteUsed())
      sResult = sSetParameter("SOFT", "1", sResult);
    return sResult;
  }
  
  function DeleteItem(vbWithTree)
  {
    var sUrl = "<#DeleteAssociationURL>"+vbWithTree;
    if (bIsSoftDeleteUsed())
      sUrl = sSetParameter("SOFT", "1", sUrl);
    OpenWindow(sUrl, "_blank", 640, 120, false);	
  }

  function OnAddToBasketClick()
  {
    OpenWindow("<#VTNViewURL VTN="selectbasketitems" CRP="p">&AID=<#AssociationData id="id">",
      "BasketView", iGetBasketViewWidth(), iGetBasketViewHeight());
  }

  function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
  {
    return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">");
  }

  function OnAssociationModified(vbRefreshHierarchy)
  {
    if (parent != self && parent && parent.OnAssociationModified)
      parent.OnAssociationModified(vbRefreshHierarchy);
    else if (opener && opener.OnAssociationModified) {
      self.close();
      opener.OnAssociationModified();
    }
    else
      self.location.reload();
  }

  function OnAssociationDeleted(vbRefreshHierarchy)
  {
    if (parent != self && parent && parent.OnAssociationDeleted)
      parent.OnAssociationDeleted(vbRefreshHierarchy);
    else if (opener && opener.OnAssociationDeleted) {
      self.close();
      opener.OnAssociationDeleted();
    }
    else
      self.location.reload();
  }

  function OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl)
  {
    if (parent != self && parent && parent.OnAssociationCreated)
      parent.OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl);
    else if (opener && opener.OnAssociationCreated){
      self.close();
      opener.OnAssociationCreated();
    }
    else
      self.location.reload();
  }

  function OnActionAttachmentListChanged()
  {
    self.location.reload();
  }

  function OpenDetailsURL(vsUrl)
  {
    if (parent != self && parent && parent.OpenDetailsURL)
      parent.OpenDetailsURL(vsUrl);
    else if (opener && opener.OpenDetailsURL)  {
      self.close();
      opener.OpenDetailsURL(vsUrl);
    }
    else
      location = vsUrl;
  }

  function OpenExternalObjectURL(vsUrl)
  {
    if (parent != self && parent && parent.OpenExternalObjectURL)
      parent.OpenExternalObjectURL(vsUrl);
    else if (opener && opener.OpenExternalObjectURL) {
      self.close();
      opener.OpenExternalObjectURL(vsUrl);
    }
    else
      OpenInformationView(vsUrl);
  }
  
  function oGetTree()
  {
    if (parent && (parent != window) && bExists(parent.oGetTree))
      return parent.oGetTree();
  }
  
  function sGetDelayedLoadViewUrl()
  {
    if (_bUsesViewStateFromUrlParameters)
      return sUrl;
  }
   
  function OnLoad()
  {
    // Hide empty group boxes
    $(".GlossyPropertyFormGroup").each(function () {
      if ($(this).find("tr").length == 0)
        $(this).parent().css("display", "none");
    });

    if (!bInPortal() || (!bHasDetailsPane() && (oGetMainView() != parent)))
      $("#captionRoot").show();

    if (parent.sGetDelayedLoadViewUrl && parent.DelayedLoadViewUrl) {
      var sUrl = parent.sGetDelayedLoadViewUrl();
      if (sUrl) {
        sUrl = sSetParameter(ACT_PARAM_ASSOCIATION_ID, sGetParameter(ACT_PARAM_ASSOCIATION_ID, sGetDocumentLocation()), sUrl);
        parent.DelayedLoadViewUrl(sUrl);
      }
      else if (parent.bHighlightObjectById)
        parent.bHighlightObjectById(sGetParameter(ACT_PARAM_ASSOCIATION_ID, sGetDocumentLocation()));
    }
    trackGoogleAnalytics();  // Google Analytics
  }

  function OnUnload()
  {
    if(window.opener) {
      if(window.opener.SetObjectSelectedStateByHrefValue) {
        window.opener.SetObjectSelectedStateByHrefValue(window.location.href,false);
      }
    }
  }

  function oGetWorkflowTicketRootNode()
  {
    return $("#tbodyWorkflows");
  }

  function oGetWorkflowRootNode()
  {
    return $("#tbodyWorkflows");
  }
</script>
</head>
<body onload="javascript: OnLoad();" onunload="javascript: OnUnload();">

  <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
    <caption id="captionRoot" style="display: none; background-color: #E7EFF7; color: #336699;">
      <div id="captionLeft" style="float: <#IsRTL true="right" false="left">; font-weight: bold">
        <img id="imgActionType" style="margin-<#IsRTL true="right" false="left">: -16px; vertical-align: middle" src="<#Object attribute="IconURL" >" title="" class="JSTreeImage" />
        &nbsp;<#AssociationData id="header" SpecialCharConversion="1">&nbsp;-&nbsp;
        <#AssociationData id="creator.prettyname">
        &nbsp;-&nbsp;
        <#AssociationData id="modifieddate">
      </div>

<script type="text/javascript">
  $("#imgActionType").get(0).title=(typeof(_oActionType) !== "undefined") ? _oActionType.psName : "<#AssociationData id="typename">";
</script>

      <div id="captionRight" style="float: <#IsRtl true="left" false="right">;">
<#IsPortalReadOnly true="<!--" checkreadonlymodeonly="1">
<script type="text/javascript">
  var _sToolbarButtonHtml;

  function OutputButton(vsLabel, vsFunction, vsIcon, vbAddToOwnToolbarOnly)
  {
    _sToolbarButtonHtml += sGetCaptionToolbarIconButtonHTML(vsLabel, "javascript:" + vsFunction + "()", "<#PortalImageFileLocation>" + vsIcon, "LinkRight");
    if (!vbAddToOwnToolbarOnly) {
      _sLocalToolbarHtml += sGetToolbarIconButtonHTML(vsLabel, "javascript:oGetInformationView()." + vsFunction + "()", "<#PortalImageFileLocation>" + vsIcon);
      _sDetailsPaneToolbarHtml += sGetToolbarIconButtonHTML(vsLabel, "javascript:oGetDetailsPane()." + vsFunction + "()", "<#PortalImageFileLocation>" + vsIcon);
    }
  }

  function OutputReplyButton() 
  {
    if (<#Object attribute="hasattribute" attributeid="ChildActions" true="true" false="false">)
      OutputButton("<#LocalizedText id="Reply">", "OnReplyClick", "icon_reply.png"); 
  }
  function OutputEditButton() 
  {
    var oMainView = oGetMainView();
    if (!(oMainView && oMainView.sGetHierarchyName && (oMainView.sGetHierarchyName() == "viewreports")))
      OutputButton("<#LocalizedText id="Edit">", "OnEditClick", "icon_edit.png"); 
  }
  function OutputDeleteButton() 
  { 
    var iPublishType = <#Object attribute="publishtype">;
    var bSoftDeletionAvailable = (iPublishType == 0) || (iPublishType == 2);

    if ((bSoftDeletionAvailable && bIsSoftDeleteUsed()) || <#AssociationAccessLevel min="1" true="true" false="false">)
      OutputButton("<#LocalizedText id="Delete">", "OnDeleteClick", "icon_delete.png"); 
  }
  function OutputAddToBasketButton() { OutputButton("<#LocalizedText id="Add to Basket">", "OnAddToBasketClick", "icon_add_to_basket.png", true); }
  function OutputTriggerWorkflowButton() 
  { 
    if (!WorkflowUtils.bIsWorkflowEnabled())
      return;
    var sLabel = "<#AssociationData id="Status.ButtonLabel" ignoreinvalidattributes="1">";
    sLabel = sLabel ? sLabel : "<#LocalizedText id="Trigger Workflow">";
    OutputButton(sLabel, "OnTriggerWorkflowClick", "icon_trigger_workflow.png"); 
  }

  function OutputTriggerStandaloneTicket() 
  { 
    if (!WorkflowUtils.bIsWorkflowEnabled())
      return;
    if ("<#AssociationData id="StandaloneTicket.fullid" ignoreinvalidattributes="1">" === "")
      OutputButton("<#LocalizedText id="Create Standalone Ticket">", "OnCreateStandaloneTicketClick", "icon_create_workflow_ticket.png"); 
    else {
      var sLabel = "<#AssociationData id="StandaloneTicket.Status.ButtonLabel" ignoreinvalidattributes="1">";
      sLabel = sLabel ? sLabel : "<#LocalizedText id="Trigger Standalone Ticket">";
      OutputButton(sLabel, "OnTriggerStandaloneWorkflowClick", "icon_trigger_workflow.png"); 
    }
  }

  function GenerateToolbarButtons()
  {
    _sToolbarButtonHtml = "";
    
    <#AssociationAccessLevel min="0" true="OutputAddToBasketButton();">
    <#AssociationAccessLevel min="0" true="OutputDeleteButton();">
    <#AssociationAccessLevel min="1" true="OutputEditButton();">
    <#AssociationAccessLevel min="0" true="OutputReplyButton();">

    if (<#AssociationAccessLevel min="1" true="true" false="false"> && (_iAssociationTypeId == 22)) // OutputTriggerButton if details for a workflow ticket is shown.
      OutputTriggerWorkflowButton();

    if (<#AssociationAccessLevel min="1" true="true" false="false"> && (_iAssociationTypeId == 21)) // OutputTriggerButton if details for a workflow ticket is shown.
      OutputTriggerStandaloneTicket();

    $("#captionRight").html(_sToolbarButtonHtml);
  }
</script>
<#IsPortalReadOnly true="-->" checkreadonlymodeonly="1">
      </div>
    </caption>

    <tr>
      <!-- left start -->
      <td valign="top" width="60%">
        <#ForEachAssociationAttributeGroup LayoutPosition="Left" Template="associationattributegroup.tpl">
      </td>
      <!-- left end -->
      <!-- right start -->
      <td class="NotFirstColumn" valign="top">
        <#ForEachAssociationAttributeGroup LayoutPosition="Right" Template="associationattributegroup.tpl">

        <div id="attachments" class="PropertyFormGroupWrapper DetailsPanePage" style="display:none;">
          <table class="GlossyPropertyFormGroup">
            <caption>
              <#LocalizedText id="Attachments">
            </caption>
            <tr>
              <td>
                <#AssociationAttachmentList maxshownamelen="64" separator="<br/>">
              </td>
            </tr>
          </table>
        </div>

        <div id="workflows" class="PropertyFormGroupWrapper DetailsPanePage" style="display:none;">
          <table class="GlossyPropertyFormGroup">
            <caption>
              <#LocalizedText id="Workflows">
            </caption>
            <tbody id="tbodyWorkflows">
            </tbody>
          </table>
        </div>

<script type="text/javascript">
  if (<#IsAssociationAttachmentListEmpty true="false" false="true">)
    document.getElementById("attachments").style.display = "block";
</script>
      </td>
      <!-- right end -->
    </tr>
  </table>

<script type="text/javascript">
  var _bShowFooter = "<#AssociationData id="id">" != "";
  ApplyAttributeStyles(_oAttributeStyles);
</script>
  <#Include template="linkedworkflowtickets.tpl">

  <#Include template="association_footer.tpl">

<#IsPortalReadOnly true="<!--" checkreadonlymodeonly="1">
<script type="text/javascript">
  GenerateToolbarButtons();
</script>
<#IsPortalReadOnly true="-->" checkreadonlymodeonly="1">
</body>
</html>
<!-- [QPRTemplateEnd: associationdetailsview.tpl] -->
