<!DOCTYPE html>
<!-- [QPRTemplateStart: searchview.tpl] -->
<html>
  <head>
    <#title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>
    <#Include template="jsportaltoolbarutils.tpl"> 
    <script type="text/javascript">
    <!--
      if (parseInt(navigator.appVersion.charAt(0)) >= 4) {
        isNav4 = (navigator.appName == "Netscape") ? true : false;
        isIE4 = (navigator.appName.indexOf("Microsoft") != -1) ? true : false;
      }

<#Variables>
      var imagesLoaded = false;
      var PORTAL_BASICWIN_PARAMS = "copyhistory=no,menubar=yes,toolbar=no,location=no,directories=no,resizable=yes,scrollbars=yes"; 
      var PG_DETAIL_PARAMS = "copyhistory=no,menubar=yes,toolbar=no,location=no,directories=no,resizable=yes,scrollbars=yes,width=500,height=500";
      var PG_HIERARCHY_PARAMS = "copyhistory=no,menubar=yes,toolbar=no,location=no,directories=no,resizable=yes,scrollbars=yes,width=500,height=500";
      var PG_FLOWCHART_PARAMS = "copyhistory=no,menubar=yes,toolbar=no,location=no,directories=no,resizable=yes,scrollbars=yes,width=640,height=480";
      var PG_DETAIL_WIN = 0;
      var PG_HIERARCHY_WIN = 1;
      var PG_FLOWCHART_WIN = 2;


      function OnLoad() {
        initButtons();

        if (parent.bIsPortalMainView) {
          UpdateInformationViewToolbarsFromInformationView();
        }

        var bCheckedFound = false;
        if (typeof document.SearchForm.PGPlugin != 'undefined') {
          document.SearchForm.PGPlugin.checked = <#IsChecked plugin="PGPLUGIN" true="true" false="false">;       
          bCheckedFound |= document.SearchForm.PGPlugin.checked;
        }
        if (typeof document.SearchForm.SCPlugin != 'undefined') {
          document.SearchForm.SCPlugin.checked = <#IsChecked plugin="SCPLUGIN" true="true" false="false">;
          bCheckedFound |= document.SearchForm.SCPlugin.checked;
        }
        document.SearchForm.QPRPortal.checked = <#IsChecked plugin="QPRPORTAL" true="true" false="false">;
        bCheckedFound |= document.SearchForm.QPRPortal.checked;
        if (typeof document.SearchForm.CurrentModelsOnly != 'undefined') {
          document.SearchForm.CurrentModelsOnly.checked = <#IsCurrentModelsOnlyChecked true="true" false="false">;
          bCheckedFound |= document.SearchForm.CurrentModelsOnly.checked;
        }

        if (!bCheckedFound) {
          if (typeof document.SearchForm.PGPlugin!= 'undefined')
            document.SearchForm.PGPlugin.checked = true;
          if (typeof document.SearchForm.SCPlugin != 'undefined')
            document.SearchForm.SCPlugin.checked = true;
          document.SearchForm.QPRPortal.checked = true;
          if (typeof document.SearchForm.CurrentModelsOnly != 'undefined')
            document.SearchForm.CurrentModelsOnly.checked = false;
        }

        if (typeof document.SearchForm.CurrentModelsOnly != 'undefined')
          OnCurrentModelsOnlyCheckboxChanged();
		  
		// Google Analytics  
		oGetMainView().sendGoogleAnalyticsEvent('Button', 'Search', '');  
      }

      function sGetCommonToolbarHTML()
      {
        return sGetDefaultToolbarButtons();
      }

      function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
      {
        return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">");
      }

      function getHelpContext() { return "search.htm"; }      

      function newImage(arg) {
        if (document.images) {
          rslt = new Image();
          rslt.src = arg;
          return rslt;
        }
      }

      function preloadImages() {
<#PreloadImagesFunction>
        imagesLoaded = true;
      }

      function initButtons() {
<#InitButtonsFunction>
        preloadImages();
      }

      function trim(s) {
        var iPos, iLen;

        iLen = s.length;
        while (s.charAt(0) == ' ') {
          s = s.substring(1, iLen);
        }

        iLen = s.length - 1;
        while (s.charAt(iLen) == ' ') {
          s = s.substring(0, iLen);
          iLen = s.length - 1;
        }

        return s;
      }

<#BtnActFunction>

      function bCheckedPluginFound()
      {
        var bCheckedFound = false;
        if (typeof document.SearchForm.PGPlugin != 'undefined')
          bCheckedFound |= document.SearchForm.PGPlugin.checked;
        if (typeof document.SearchForm.SCPlugin != 'undefined')
          bCheckedFound |= document.SearchForm.SCPlugin.checked;
        bCheckedFound |= document.SearchForm.QPRPortal.checked;
        return bCheckedFound;
      }

      function validate() 
      {
        if (!bCheckedPluginFound()) {
          alert(sDecodeURI('<#LocalizedTextMessage id="At least one search target must be selected">'));
          return false;
        }
        return true;
      }

      function openWindow(vsUrl) 
      {
        OpenInformationView(vsUrl);
      }

      function OnUnLoad()
      {
        if (parent.bIsPortalMainView) { UpdateInformationViewToolbarsFromInformationView(true); }
      }

      function OnPageLoaded()
      {
        var sFormAction = document.SearchForm.action;
        sFormAction = sConvertEncryptedParameterToMixed(sFormAction);
        var sTmp = "<#URLParameter id="TYPESSCPLUGIN">";
        if (sTmp != "") sFormAction += "&TYPESSCPLUGIN=" + sTmp;
        sTmp = "<#URLParameter id="TYPESPGPLUGIN">";
        if (sTmp != "") sFormAction += "&TYPESPGPLUGIN=" + sTmp;
        sTmp = "<#URLParameter id="TYPESQPRPORTAL">";
        if (sTmp != "") sFormAction += "&TYPESQPRPORTAL=" + sTmp;
        document.SearchForm.action = sFormAction;
      }
      
      function OnCurrentModelsOnlyCheckboxChanged() 
      {
        if (document.SearchForm.CurrentModelsOnly.checked) {
          document.SearchForm.SELMODELS.value = sEncodeURI("PGPLUGIN=" + sGetModelId('processes', 'MODELID') + "&SCPLUGIN=" + sGetModelId('scorecards', 'MOD'));
        }
        else {
          document.SearchForm.SELMODELS.value = "";
        }
      }

      function OnSearchClicked()
      {
        if (!validate()) 
          return;
        SubmitForm(document.SearchForm);
      }
      
      function SubmitForm(voForm)
      {
        var sURL = sConvertEncryptedParameterToMixed(voForm.action);
        sURL = sSetParameter("TXT", sEncodeURI(voForm.TXT.value), sURL);
        if (bExists(voForm.PGPlugin) && voForm.PGPlugin.checked)
          sURL = sSetParameter("PGPlugin", "1", sURL);
        if (bExists(voForm.SCPlugin) && voForm.SCPlugin.checked)
          sURL = sSetParameter("SCPlugin", "1", sURL);
        if (bExists(voForm.QPRPortal) && voForm.QPRPortal.checked)
          sURL = sSetParameter("QPRPortal", "1", sURL);
        if (bExists(voForm.CurrentModelsOnly) && voForm.CurrentModelsOnly.checked)
          sURL = sSetParameter("CurrentModelsOnly", "1", sURL);
        if (bExists(voForm.SELMODELS) && voForm.CurrentModelsOnly.checked)
          sURL = sSetParameter("SELMODELS", voForm.SELMODELS.value, sURL);
        if (voForm.MatchCase.checked)
          sURL = sSetParameter("MatchCase", voForm.MatchCase.value, sURL);
        if (voForm.WholeWord.checked)
          sURL = sSetParameter("WholeWord", voForm.WholeWord.value, sURL);

        OpenInformationView(sURL);
      }
      
      var _iGroupIndex = -1;
      
      function AddCaption(vsPluginName, vsSearchResultText)
      {
        var sHTML = "<span style=\"font-weight: bold; float: left;\">" + 
                      vsPluginName + 
                      "<br /><span style=\"font-weight: normal;\">" + 
                      vsSearchResultText + 
                      "</span></span>";
        document.write(sHTML);
      }
      
      function AddFilterButton(vsTitle, vsActionUrl, vsIconUrl, viButtonId)
      {
        var sHTML = "<a href=\"" + vsActionUrl + "\" onMouseOver=\"btnAct" + _iGroupIndex + "(" + viButtonId + ", 0);\" onMouseOut=\"btnAct" + _iGroupIndex + "(" + viButtonId + ", 1);\">" +
                    "<img border=\"0\" name=\"b" + _iGroupIndex + "_" + viButtonId + "\" src=\"" + vsIconUrl + "\" align=\"absmiddle\" title=\"" + vsTitle + "\">" +
                    "</a>";
        document.write(sHTML);
      }
      
      function AddRow(vsTypeIconUrl, vsTypeName, vsElement, vsElementModel, vsElementActionUrl, vsFoundInFields, varViews)
      {
        if (vsElementActionUrl) {
          if (vsElement.length == 0)
            vsElement = "&nbsp;";
          vsElement = "<a href=\"" + vsElementActionUrl + "\">" + vsElement + "</a>";
        }
        if (vsElementModel)
          vsElement = vsElement + "&nbsp;-&nbsp;" + vsElementModel;
        var sHTML = "<tr><td>" +
                    "<img src=\"" + vsTypeIconUrl + "\" title=\"" + vsTypeName + "\">" +
                    "</td><td>" + vsElement + "</td><td>" + vsFoundInFields + "</td><td>";
        if (varViews) {
          for (var i = 0; i < varViews.length; ++i) {
            var arView = varViews[i];
            sHTML += "<a href=\"" + arView[1] + "\"><img border=\"0\" src=\"" + arView[2] + "\" title=\"" + arView[0] + "\"></a>";
          }
        }
        sHTML += "</td></tr>";
        document.write(sHTML);
      }
      
      function GenerateNoMatchesResult(vsErrorMessage)
      {
        var sHTML = "<table border=\"0\" cellpadding=\"2\" cellspacing=\"1\">" +
                    "<tr><td>" +  vsErrorMessage + "</td></tr>" +
                    "</table>";
        document.getElementById("trGroup" + _iGroupIndex).style.display = "none";
        document.write(sHTML);
      }
    //-->
    </script>
  </head>

  <body onLoad="OnLoad();" topmargin=0 leftmargin=0 marginleft="0" margintop="0" marginwidth="0" marginheight="0" onUnload="OnUnLoad();">
<script type="text/javascript">
if (!parent.bIsPortalMainView) {
  document.write('  <table border="0" cellpadding="0" cellspacing="0" width="100%">');
  document.write('    <tr>');
  document.write('      <td nowrap align="<#IsRTL true="left" false="right">">');  
}

if (!parent.bIsPortalMainView && (!<#IsPortalReadonly true="true" false="false"> || <#EnableBookmarksForViewUsers true="true" false="false">)) {
  document.write(sGetBookmarkButton("", true));
  document.write(sGetAddToBasketButton("", true));
  document.write(sGetCopyLinkButton(true));
}
</script>

<script type="text/javascript">
if (!parent.bIsPortalMainView) {  
  WriteButtonHTML("<#LocalizedText id="Help">", "javascript:OpenHelpWindow(\"<#HelpURL>?search.htm\")");
  document.write('      </td>');
  document.write('      <td width="5"><img src="<#ImageFileLocation>1x1.gif" width="1" height="22" border="0"></td>');
  document.write('    </tr>');
  document.write('  </table>');
}
</script>
    <div class="PropertyList">
      <form name="SearchForm" method="post" action="<#SearchURL>">
        <table class="Borderless" border="0">
          <caption>
            <#LocalizedText id="Search Text">
          </caption>
          <tr valign="top">
            <td colspan="3">
              <input type="text" name="TXT" size="80" maxlength="256" value="<#SearchText>">
              <input type="button" value="<#SearchButtonText>" name="SearchButton" onclick="javascript:OnSearchClicked()">
            </td>  
          </tr>
          <tr>
            <td>
              <#LocalizedText id="Search from:">
            </td>
            <td colspan="2">
            <#IsPluginAvailable id="PGPLUGIN" false="<!--">
              <input type="checkbox" name="PGPlugin">
              <#LocalizedText id="Processes">
              &nbsp;
            <#IsPluginAvailable id="PGPLUGIN" false="-->">
            <#IsPluginAvailable id="SCPLUGIN" false="<!--">
              <input type="checkbox" name="SCPlugin">
              <#LocalizedText id="Scorecards">
              &nbsp;
            <#IsPluginAvailable id="SCPLUGIN" false="-->">
              <input type="checkbox" name="QPRPortal">
              <#LocalizedText id="Actions">
            <#IsAtLeastOnePluginAvailable false="<!--">
              &nbsp; 
              <input type="checkbox" name="CurrentModelsOnly" onClick="OnCurrentModelsOnlyCheckboxChanged()">
              <#LocalizedText id="Current models only">
              <input type="hidden" name="SELMODELS" value="">
            <#IsAtLeastOnePluginAvailable false="-->">
            </td>
          </tr>
          <tr>
            <td>
              <#LocalizedText id="Search attributes:">
            </td>
            <td colspan="2">
              <input type="checkbox" name="MatchCase"<#MatchCaseValue>> <#MatchCaseText>
              &nbsp;
              <input type="checkbox" name="WholeWord"<#WholeWordValue>> <#WholeWordText>
            </td>
          </tr>
        </table>
      </form>

      <br/>

      <div id="SearchView">	  

<#Results PGPLUGIN="Processes" SCPLUGIN="Scorecards" QPRPORTAL="Actions" Template="searchresultgroup.tpl">

      </div>
    </div>
  <script type="text/javascript">
    OnPageLoaded();
  </script>
  
  </body>

</html>
<!-- [QPRTemplateEnd: searchview.tpl] -->
